# Class TChromiumOptions

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFChromiumOptions

## Declaration

`type TChromiumOptions = class(TPersistent)`

## Description

The TChromiumOptions properties used to fill the TCefBrowserSettings record which is used during the browser creation.

## Hierarchy

- TObject
- TPersistent
- TChromiumOptions

## Overview

### Fields

| `FWindowlessFrameRate: Integer;`
| `FJavascript: TCefState;`
| `FJavascriptCloseWindows: TCefState;`
| `FJavascriptAccessClipboard: TCefState;`
| `FJavascriptDomPaste: TCefState;`
| `FImageLoading: TCefState;`
| `FImageShrinkStandaloneToFit: TCefState;`
| `FTextAreaResize: TCefState;`
| `FTabToLinks: TCefState;`
| `FLocalStorage: TCefState;`
| `FDatabases: TCefState;`
| `FWebgl: TCefState;`
| `FBackgroundColor: TCefColor;`
| `FChromeStatusBubble: TCefState;`
| `FChromeZoomBubble: TCefState;`

### Methods

| `constructor Create; virtual;`

### Properties

| `property Javascript : TCefState read FJavascript write FJavascript default STATE_DEFAULT;`
| `property JavascriptCloseWindows : TCefState read FJavascriptCloseWindows write FJavascriptCloseWindows default STATE_DEFAULT;`
| `property JavascriptAccessClipboard : TCefState read FJavascriptAccessClipboard write FJavascriptAccessClipboard default STATE_DEFAULT;`
| `property JavascriptDomPaste : TCefState read FJavascriptDomPaste write FJavascriptDomPaste default STATE_DEFAULT;`
| `property ImageLoading : TCefState read FImageLoading write FImageLoading default STATE_DEFAULT;`
| `property ImageShrinkStandaloneToFit : TCefState read FImageShrinkStandaloneToFit write FImageShrinkStandaloneToFit default STATE_DEFAULT;`
| `property TextAreaResize : TCefState read FTextAreaResize write FTextAreaResize default STATE_DEFAULT;`
| `property TabToLinks : TCefState read FTabToLinks write FTabToLinks default STATE_DEFAULT;`
| `property LocalStorage : TCefState read FLocalStorage write FLocalStorage default STATE_DEFAULT;`
| `property Databases : TCefState read FDatabases write FDatabases default STATE_DEFAULT;`
| `property Webgl : TCefState read FWebgl write FWebgl default STATE_DEFAULT;`
| `property BackgroundColor : TCefColor read FBackgroundColor write FBackgroundColor default 0;`
| `property WindowlessFrameRate : Integer read FWindowlessFrameRate write FWindowlessFrameRate default CEF_OSR_FRAMERATE_DEFAULT;`
| `property ChromeStatusBubble : TCefState read FChromeStatusBubble write FChromeStatusBubble default STATE_DEFAULT;`
| `property ChromeZoomBubble : TCefState read FChromeZoomBubble write FChromeZoomBubble default STATE_DEFAULT;`

## Description

### Fields

| `FWindowlessFrameRate: Integer;`
This item has no description.

| `FJavascript: TCefState;`
This item has no description.

| `FJavascriptCloseWindows: TCefState;`
This item has no description.

| `FJavascriptAccessClipboard: TCefState;`
This item has no description.

| `FJavascriptDomPaste: TCefState;`
This item has no description.

| `FImageLoading: TCefState;`
This item has no description.

| `FImageShrinkStandaloneToFit: TCefState;`
This item has no description.

| `FTextAreaResize: TCefState;`
This item has no description.

| `FTabToLinks: TCefState;`
This item has no description.

| `FLocalStorage: TCefState;`
This item has no description.

| `FDatabases: TCefState;`
This item has no description.

| `FWebgl: TCefState;`
This item has no description.

| `FBackgroundColor: TCefColor;`
This item has no description.

| `FChromeStatusBubble: TCefState;`
This item has no description.

| `FChromeZoomBubble: TCefState;`
This item has no description.

### Methods

| `constructor Create; virtual;`
Constructor of TChromiumOptions

### Properties

| `property Javascript : TCefState read FJavascript write FJavascript default STATE_DEFAULT;`
Controls whether JavaScript can be executed. Also configurable using the "disable-javascript" command-line switch.

| `property JavascriptCloseWindows : TCefState read FJavascriptCloseWindows write FJavascriptCloseWindows default STATE_DEFAULT;`
Controls whether JavaScript can be used to close windows that were not opened via JavaScript. JavaScript can still be used to close windows that were opened via JavaScript or that have no back/forward history. Also configurable using the "disable-javascript-close-windows" command-line switch.

| `property JavascriptAccessClipboard : TCefState read FJavascriptAccessClipboard write FJavascriptAccessClipboard default STATE_DEFAULT;`
Controls whether JavaScript can access the clipboard. Also configurable using the "disable-javascript-access-clipboard" command-line switch.

| `property JavascriptDomPaste : TCefState read FJavascriptDomPaste write FJavascriptDomPaste default STATE_DEFAULT;`
Controls whether DOM pasting is supported in the editor via execCommand("paste"). The |javascript_access_clipboard| setting must also be enabled. Also configurable using the "disable-javascript-dom-paste" command-line switch.

| `property ImageLoading : TCefState read FImageLoading write FImageLoading default STATE_DEFAULT;`
Controls whether image URLs will be loaded from the network. A cached image will still be rendered if requested. Also configurable using the "disable-image-loading" command-line switch.

| `property ImageShrinkStandaloneToFit : TCefState read FImageShrinkStandaloneToFit write FImageShrinkStandaloneToFit default STATE_DEFAULT;`
Controls whether standalone images will be shrunk to fit the page. Also configurable using the "image-shrink-standalone-to-fit" command-line switch.

| `property TextAreaResize : TCefState read FTextAreaResize write FTextAreaResize default STATE_DEFAULT;`
Controls whether text areas can be resized. Also configurable using the "disable-text-area-resize" command-line switch.

| `property TabToLinks : TCefState read FTabToLinks write FTabToLinks default STATE_DEFAULT;`
Controls whether the tab key can advance focus to links. Also configurable using the "disable-tab-to-links" command-line switch.

| `property LocalStorage : TCefState read FLocalStorage write FLocalStorage default STATE_DEFAULT;`
Controls whether local storage can be used. Also configurable using the "disable-local-storage" command-line switch.

| `property Databases : TCefState read FDatabases write FDatabases default STATE_DEFAULT;`
Controls whether databases can be used. Also configurable using the "disable-databases" command-line switch. Deprecated since CEF 138

| `property Webgl : TCefState read FWebgl write FWebgl default STATE_DEFAULT;`
Controls whether WebGL can be used. Note that WebGL requires hardware support and may not work on all systems even when enabled. Also configurable using the "disable-webgl" command-line switch.

| `property BackgroundColor : TCefColor read FBackgroundColor write FBackgroundColor default 0;`
Background color used for the browser before a document is loaded and when no document color is specified. The alpha component must be either fully opaque (0xFF) or fully transparent (0x00). If the alpha component is fully opaque then the RGB components will be used as the background color. If the alpha component is fully transparent for a windowed browser then the TCefSettings.background_color value will be used. If the alpha component is fully transparent for a windowless (off-screen) browser then transparent painting will be enabled.

| `property WindowlessFrameRate : Integer read FWindowlessFrameRate write FWindowlessFrameRate default CEF_OSR_FRAMERATE_DEFAULT;`
The maximum rate in frames per second (fps) that ICefRenderHandler.OnPaint will be called for a windowless browser. The actual fps may be lower if the browser cannot generate frames at the requested rate. The minimum value is 1 and the default value is 30. This value can also be changed dynamically via ICefBrowserHost.SetWindowlessFrameRate. Use CEF_OSR_SHARED_TEXTURES_FRAMERATE_DEFAULT as default value if the shared textures are enabled. Use CEF_OSR_FRAMERATE_DEFAULT as default value if the shared textures are disabled.

| `property ChromeStatusBubble : TCefState read FChromeStatusBubble write FChromeStatusBubble default STATE_DEFAULT;`
Controls whether the Chrome status bubble will be used. Only supported with Chrome style. For details about the status bubble see https://www.chromium.org/user-experience/status-bubble/

| `property ChromeZoomBubble : TCefState read FChromeZoomBubble write FChromeZoomBubble default STATE_DEFAULT;`
Controls whether the Chrome zoom bubble will be shown when zooming. Only supported with Chrome style.

Generated by PasDoc 0.16.0-snapshot.